package com.atlassian.bitbucket.internal.mirroring.mirror;

import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Exception that is thrown when this server failed to register itself as a mirror with an upstream server
 */
public class MirrorRegistrationFailedException extends UpstreamServerRequestFailedException {

    public MirrorRegistrationFailedException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public MirrorRegistrationFailedException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
